% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bssdata_class.R
\docType{methods}
\name{load_data}
\alias{load_data}
\alias{load_data,BssData-method}
\alias{load_data,BssCBMData-method}
\alias{load_data,BssTBMData-method}
\alias{load_data,BssDBMData-method}
\alias{load_data,BssROIData-method}
\title{A generic function to load data for statistical analysis.}
\usage{
load_data(bss_data, atlas_filename = NULL, maskfile = NULL, hemi = "left",
  measure = "", smooth = 0, roiid = NULL, roimeas = NULL)

\S4method{load_data}{BssData}(bss_data, roiid = NULL, roimeas = NULL)

\S4method{load_data}{BssCBMData}(bss_data, atlas_filename, hemi, smooth)

\S4method{load_data}{BssTBMData}(bss_data, atlas_filename, maskfile = NULL,
  smooth)

\S4method{load_data}{BssDBMData}(bss_data, atlas_filename, maskfile = NULL,
  measure, smooth)

\S4method{load_data}{BssROIData}(bss_data, roiid = NULL, roimeas = NULL)
}
\arguments{
\item{bss_data}{object of type \code{\link{BssData}}}

\item{atlas_filename}{path name to the atlas}

\item{maskfile}{path name to the mask file}

\item{hemi}{chaaracter string denoting the brain hemisphere. Should either be "left" or "right".}

\item{measure}{character specifying the brain imaging measure. If analyzing diffusion data, should be "FA".}

\item{smooth}{numeric value denoting the smoothing level.}

\item{roiid}{numeric label identifier for the region of interest (ROI) type analysis.}

\item{roimeas}{character string for the ROI measure. Should either be "gmthickness", "gmvolume", or "wmvolume".}
}
\description{
A generic function to load data for statistical analysis.
}
\details{
For the most part, the user will never have to call this function directly.
Instead the user should call \code{\link{load_bss_data}}.
}
\seealso{
\code{\link{load_bss_data}}
}
