% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bss_stat_ops.R
\name{maxTperm}
\alias{maxTperm}
\title{Calculate p-values for vanilla permutation test and determine null distribution for max-t permutation test.}
\usage{
maxTperm(main_effect = "", covariates = "", bss_data, num_of_perm)
}
\arguments{
\item{main_effect}{Character string containing an independent variable whose effect you want to measure.
It could be disease status, age, gender etc. This should strictly be a single variable. This can be
either a categorical or a continuous variable.}

\item{covariates}{Character string containing a set of other predictors (variables) in the model. If more than
one covariates are included, they should be separated by a \code{+} operator similar to an R formula.}

\item{bss_data}{Object of type \code{\link{BssData}}}

\item{num_of_perm}{Number of iterations/shuffles for permutation test.}
}
\description{
Perform permutation tests using Freedman-Lane method.
}
\details{
The permutation test handles the exchangeability assumption with Freedman-Lane Method. This function also
utilizes multiprocessing to reduce computing time.
\code{bss_data} can be of the type "cbm", "tbm", or "roi".
}
